function [C,D,tc]=clarity_nzox2(y,fs,T,N)
% T: ms-ben
% A BEMENETRE TERJEDESI KESLELTETES NELKULI IMPULZUSVALASZ KELL!!
% zero paddinges szeparáció és szűrés a helyes sorrendben
Lt=length(T);
C=NaN(10*N,Lt); D=NaN(10*N,Lt); tc=NaN(10*N,1); % init

yo=ox(y,fs,N);
t=(0:length(y)-1)/fs;

for i=1:10*N,
    tmp=yo(i,:).^2;
    Eo=sum(tmp);
    tc(i)=sum(tmp.*t)./Eo;
    for j=1:Lt
        pnter=T(j)*fs/1000;
        y1=zeros(size(y)); y2=zeros(size(y)); % zero padding és különválasztás
        y1(1:pnter)=y(1:pnter); % korai
        y2(pnter+1:end)=y(pnter+1:end); % késői
        y1o=ox(y1,fs,N);
        y2o=ox(y2,fs,N);
        Ee=sum(y1o(i,:).^2);
        El=sum(y2o(i,:).^2);
        C(i,j)=10*log10(Ee/El);
        D(i,j)=100*(Ee/Eo);
    end;
end;